Bug 24666 - Non Koha Guarantors should be able to be seen from the Patron Detail page
Summary: Non Koha Guarantors should be able to be seen from the Patron Detail page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 14570
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-14 14:49 UTC by Kelly McElligott
Modified: 2020-03-13 00:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04


Attachments
Bug 24666: Display not registered guarantors on the patron detail page (3.57 KB, patch)
2020-02-17 13:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24666: Display not registered guarantors on the patron detail page (3.64 KB, patch)
2020-02-18 13:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24666: Display not registered guarantors on the patron detail page (3.64 KB, patch)
2020-02-18 13:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24666: Display not registered guarantors on the patron detail page (3.69 KB, patch)
2020-02-18 18:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24666: (QA follow-up) Add missing filters (2.39 KB, patch)
2020-02-18 18:49 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-02-14 14:49:12 UTC
With the introduction of the bug [14570] a patron can have multiple guarantors - these guarantors can be registered patrons or not registered patrons.  If they are not registered patrons, currently, they can not be seen from the patron detail or checkout page.  At this time, the only way to see these non-Koha guarantors is to edit the patron details. 

It would be nice if this field was visible for staff on the patron detail page.
Comment 1 Lisette Scheer 2020-02-14 17:04:59 UTC
This is going to be a big problem for us. We don't link the guarantors at all. 
I'm changing this from enhancement because on 19.05 we can see non-koha guarantors on the patron detail page.
Comment 2 Jonathan Druart 2020-02-17 13:43:09 UTC
Created attachment 99089 [details] [review]
Bug 24666: Display not registered guarantors on the patron detail page

There was no way to see the not registered guarantors apart of editing
the patron.

Test plan:
- Create a patron with category type "Child"
- Define a "guarantor surname" and/or "guarantor firstname" in the
"Contact" block (the patron is not registered)
- See the patron's detail page and notice that the info appear
- Edit and add a registered guarantor
- See the patron's detail page and notice that the 2 guarantors info appear

Note that the relationship has been added.
Comment 3 Kyle M Hall 2020-02-18 13:25:50 UTC
Created attachment 99184 [details] [review]
Bug 24666: Display not registered guarantors on the patron detail page

There was no way to see the not registered guarantors apart of editing
the patron.

Test plan:
- Create a patron with category type "Child"
- Define a "guarantor surname" and/or "guarantor firstname" in the
"Contact" block (the patron is not registered)
- See the patron's detail page and notice that the info appear
- Edit and add a registered guarantor
- See the patron's detail page and notice that the 2 guarantors info appear

Note that the relationship has been added.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2020-02-18 13:27:42 UTC
Created attachment 99185 [details] [review]
Bug 24666: Display not registered guarantors on the patron detail page

There was no way to see the not registered guarantors apart of editing
the patron.

Test plan:
- Create a patron with category type "Child"
- Define a "guarantor surname" and/or "guarantor firstname" in the
"Contact" block (the patron is not registered)
- See the patron's detail page and notice that the info appear
- Edit and add a registered guarantor
- See the patron's detail page and notice that the 2 guarantors info appear

Note that the relationship has been added.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Martin Renvoize 2020-02-18 18:30:03 UTC
Created attachment 99197 [details] [review]
Bug 24666: Display not registered guarantors on the patron detail page

There was no way to see the not registered guarantors apart of editing
the patron.

Test plan:
- Create a patron with category type "Child"
- Define a "guarantor surname" and/or "guarantor firstname" in the
"Contact" block (the patron is not registered)
- See the patron's detail page and notice that the info appear
- Edit and add a registered guarantor
- See the patron's detail page and notice that the 2 guarantors info appear

Note that the relationship has been added.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-02-18 18:49:09 UTC
Created attachment 99212 [details] [review]
Bug 24666: (QA follow-up) Add missing filters

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2020-02-18 18:55:00 UTC
Works as expected, resolves a regression.

QA follow-up added to fix filter errors, but otherwise no issues found.

Passing QA
Comment 8 Martin Renvoize 2020-02-19 11:35:13 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-03-13 00:17:08 UTC
Pushed to 19.11.x branch for 19.11.04